#ifndef MWRITEASCIIFILE_H
#define MWRITEASCIIFILE_H

#ifndef MWRITEFILE_H
#include "MWriteFile.h"
#endif

class MWriteAsciiFile : public MWriteFile //MTask
{
private:
    ofstream *fOut;

    TString fNameFile;
    TString fNameContainer;

    MParContainer *fContainer;

    virtual void   CheckAndWrite() const;
    virtual Bool_t IsFileOpen() const;
    virtual Bool_t GetContainer(MParList *pList);
    virtual const char *GetFileName() const { return fNameFile; }


public:
    MWriteAsciiFile(const char *filename, const char *contname,
                    const char *name=NULL, const char *title=NULL);
    MWriteAsciiFile(const char *filename, MParContainer *cont,
                    const char *name=NULL, const char *title=NULL);
    ~MWriteAsciiFile();

    ClassDef(MWriteAsciiFile, 0)	// Class to write one container to an ascii file
};

#endif
